## choose-mirror 2.39ubuntu4.1+ppa2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 export USE_HTTP=1
-export USE_HTTPS=1
 #export USE_FTP=1
 USE_FTP_MANUAL=1
 
@@ -11,10 +10,6 @@
 ifeq (1,${USE_HTTP})
 CFLAGS:=$(CFLAGS) -DWITH_HTTP
 templates:=$(templates) debian/choose-mirror-bin.templates.http-in
-endif
-ifeq (1,${USE_HTTPS})
-CFLAGS:=$(CFLAGS) -DWITH_HTTPS
-templates:=$(templates) debian/choose-mirror-bin.templates.https-in
 endif
 ifeq (1,${USE_FTP})
 CFLAGS:=$(CFLAGS) -DWITH_FTP
@@ -33,7 +28,7 @@
 
 # Derivative distributions may want to change these.
 #MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
-MASTERLIST=Mirrors.masterlist.ubuntu
+MASTERLIST=Mirrors.masterlist.lliurex
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
@@ -63,13 +58,10 @@
 debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist httplist $^
 
-debian/httpslist-countries: $(MASTERLIST) debian/iso_3166.tab
-	./mirrorlist httpslist $^
-
 debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist ftplist $^
 
-debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab
+debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries debian/iso_3166.tab
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
@@ -78,13 +70,10 @@
 mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi
 
-mirrors_https.h: $(MASTERLIST) debian/iso_3166.tab
-	if [ "$$USE_HTTPS" ]; then ./mirrorlist https $^; fi
-
 mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi
 
-choose-mirror.o: mirrors_http.h mirrors_https.h mirrors_ftp.h
+choose-mirror.o: mirrors_http.h mirrors_ftp.h
 
 $(BIN): $(OBJS)
 	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)
@@ -105,13 +94,9 @@
 http: clean strip
 	ls -l $(BIN)
 
-https: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTPS -DSMALL
-https: clean strip
-	ls -l $(BIN)
-
 clean:
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
-	rm -f debian/templates-countries debian/httplist-countries debian/httpslist-countries debian/ftplist-countries
+	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes/ debian/pobuild*/
 	rm -f debian/iso_3166.tab
