=== debian/changelog ===
choose-mirror (2.39ubuntu4.1+ppa2) precise; urgency=high

  * Ubuntu is changed to LliureX at description 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 28 Oct 2013 10:06:21 +0100

choose-mirror (2.39ubuntu4+ppa1) precise; urgency=high

  * Updated changes to lliurex.net

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 28 Oct 2013 09:08:05 +0100
