## choose-mirror 2.40ubuntu1

=== debian/changelog ===
choose-mirror (2.40ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2012 11:29:20 +0100

choose-mirror (2.40) unstable; urgency=low

  * Team upload

  [ Colin Watson ]
  * Manage memory for 'country' variable more carefully.

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh C P
  * Lao (lo.po) by Anousak Souphavanh
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po)
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Borys Yanovych
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 07:24:31 +0200

choose-mirror (2.39ubuntu5) quantal; urgency=low

  * Switch to quantal by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 May 2012 12:28:42 +0100
