## choose-mirror 2.45

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 LIBS=-ldebconfclient -ldebian-installer
 
 # Derivative distributions may want to change these.
-#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
-MASTERLIST=Mirrors.masterlist.lliurex
+MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
