=== debian/changelog ===
choose-mirror (2.45) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Malayalam (ml.po) by Praveen Arimbrathodiyil

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Apr 2013 10:47:25 +0200

choose-mirror (2.44) unstable; urgency=low

  [ Updated translations ]
  * Serbian (sr.po) by Karolina Kalic

 -- Christian Perrier <bubulle@debian.org>  Wed, 24 Oct 2012 07:28:42 +0200

choose-mirror (2.43) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2012 10:31:31 +0200

choose-mirror (2.42) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Oct 2012 14:39:55 +0200

choose-mirror (2.41) unstable; urgency=low

  * Replace XC-Package-Type by package-type.

  [ Updated translations ]
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Sep 2012 13:50:51 +0200
