## choose-mirror 2.60

=== debian/changelog ===
choose-mirror (2.60) unstable; urgency=medium

  * Update Mirrors.masterlist
  * This update includes dropping cdn.debian.net (Closes: #774466).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 05 Jan 2015 22:13:18 +0100

choose-mirror (2.59) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 09:47:42 +0200

choose-mirror (2.58) unstable; urgency=medium

  [ Updated translations ]
  * Estonian (et.po) by Mattias Põldaru

  [ Colin Watson ]
  * Strip off any scheme part found at the start of mirror/*/hostname
    (closes: #706191).
  
  [ Aurelien Jarno ]
  * Update Mirrors.masterlist, adding arm64 and ppc64el.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Aug 2014 23:28:30 +0200
