## choose-mirror 2.61

=== debian/changelog ===
choose-mirror (2.61) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

  [ Cyril Brulebois ]
  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Tue, 10 Mar 2015 13:11:59 +0100
