## choose-mirror 2.62

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 export USE_HTTP=1
+export USE_HTTPS=1
 #export USE_FTP=1
 USE_FTP_MANUAL=1
 
@@ -10,6 +11,10 @@
 ifeq (1,${USE_HTTP})
 CFLAGS:=$(CFLAGS) -DWITH_HTTP
 templates:=$(templates) debian/choose-mirror-bin.templates.http-in
+endif
+ifeq (1,${USE_HTTPS})
+CFLAGS:=$(CFLAGS) -DWITH_HTTPS
+templates:=$(templates) debian/choose-mirror-bin.templates.https-in
 endif
 ifeq (1,${USE_FTP})
 CFLAGS:=$(CFLAGS) -DWITH_FTP
@@ -25,6 +30,7 @@
 OBJS=$(subst .c,.o,$(wildcard *.c))
 BIN=choose-mirror
 LIBS=-ldebconfclient -ldebian-installer
+STRIP=strip
 
 # Derivative distributions may want to change these.
 MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
@@ -50,6 +56,22 @@
 		fi; \
 	fi
 force-try-update: ;
+
+check-masterlist:
+	@if [ -d .git ] && which git >/dev/null 2>&1; then \
+		last=`git log --format=format:%at -- $(MASTERLIST)|head -1`; \
+		now=`date +%s`; \
+		if [ $$((now-last)) -gt $$((60*60*24*14)) ]; then \
+			printf "\n\n*** WARNING: $(MASTERLIST) was last committed more\n"; \
+			printf "*** than 2 weeks ago, maybe it needs an update?"; \
+			echo; echo; echo "You can try the following command to run a sync, and use git diff/git commit:"; \
+			echo "   make $(MASTERLIST)";\
+			sleep 5; \
+		fi; \
+	fi
+else
+check-masterlist:
+	:
 endif
 
 debian/iso_3166.tab:
@@ -58,10 +80,13 @@
 debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist httplist $^
 
+debian/httpslist-countries: $(MASTERLIST) debian/iso_3166.tab
+	./mirrorlist httpslist $^
+
 debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist ftplist $^
 
-debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries debian/iso_3166.tab
+debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/httpslist-countries debian/ftplist-countries debian/iso_3166.tab
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
@@ -70,16 +95,19 @@
 mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi
 
+mirrors_https.h: $(MASTERLIST) debian/iso_3166.tab
+	if [ "$$USE_HTTPS" ]; then ./mirrorlist https $^; fi
+
 mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
 	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi
 
-choose-mirror.o: mirrors_http.h mirrors_ftp.h
+choose-mirror.o: mirrors_http.h mirrors_https.h mirrors_ftp.h
 
 $(BIN): $(OBJS)
 	$(CC) -o $(BIN) $(OBJS) $(LIBS) $(LDFLAGS)
 
 strip: $(BIN)
-	strip --remove-section=.comment --remove-section=.note $(BIN)
+	$(STRIP) --remove-section=.comment --remove-section=.note $(BIN)
 
 # Size optimized and stripped binary target.
 small: CFLAGS:=-Os $(CFLAGS) -DSMALL
@@ -94,9 +122,13 @@
 http: clean strip
 	ls -l $(BIN)
 
+https: CFLAGS:=-Os -Wall -g -D_GNU_SOURCE -DWITH_HTTPS -DSMALL
+https: clean strip
+	ls -l $(BIN)
+
 clean:
 	rm -f $(BIN) $(OBJS) *~ mirrors_*.h
-	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
+	rm -f debian/templates-countries debian/httplist-countries debian/httpslist-countries debian/ftplist-countries
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes/ debian/pobuild*/
 	rm -f debian/iso_3166.tab
