=== debian/changelog ===
choose-mirror (2.62) unstable; urgency=medium

  * Update Mirrors.masterlist
  * This update includes adding httpredir.debian.org, which replaces
    http.debian.net using debian.org servers.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Apr 2015 12:17:22 +0200
