## choose-mirror 2.63+devuan1.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MIRRORLISTURL=https://git.devuan.org/d-i/choose-mirror/raw/master/Mirrors.masterlist
 MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
