=== debian/changelog ===
choose-mirror (2.63+devuan1.0) stable; urgency=medium

  * Bump version

 -- Daniel Reurich <daniel@centurion.net.nz>  Tue, 26 May 2015 11:00:45 +0000

choose-mirror (2.63+devuan0.1) unstable; urgency=medium
  
  * Setup Devuan mirror
  * take over maintainer-ship for Devuan package
  * update debian/control
  * update mirrors
  * fix template encoding

 -- Daniel Reurich <daniel@centurion.net.nz>  Tue, 26 May 2015 10:59:36 +0000

choose-mirror (2.63) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Only list releases the current arch is included in.  For example,
    don't display a "jessie" release for kfreebsd-* or hurd.
    (Closes: #783548)

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 May 2015 07:26:02 +0200
