## choose-mirror 2.65ubuntu6+8.0trisquel2

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=https://git.devuan.org/d-i/choose-mirror/raw/master/Mirrors.masterlist
-MASTERLIST=Mirrors.masterlist
+#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MASTERLIST=Mirrors.masterlist.trisquel
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
