=== debian/changelog ===
choose-mirror (2.65ubuntu6+8.0trisquel2) flidas; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Apr 2018 01:25:18 +0000

choose-mirror (2.65ubuntu6) flidas; urgency=medium

  * Add s390x to CC.archive.trisquel.info.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Apr 2016 20:22:43 +0100

choose-mirror (2.65ubuntu5) flidas; urgency=medium

  * Add support for CC.archive.trisquel.info; using the same logic as
    CC.archive.trisquel.info for general country mirrors.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 11 Feb 2016 09:54:30 -0500

choose-mirror (2.65ubuntu4) flidas; urgency=medium

  * Add us.archive.trisquel.info mirror.
  * Add s390x to [us.]archive.trisquel.info mirrors.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2016 20:11:05 +0000

choose-mirror (2.65ubuntu3) flidas; urgency=high

  * Really set default to trisquel-ports, and set i386/amd64 overrides to
    "default" archive.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Feb 2016 18:00:37 +0000

choose-mirror (2.65ubuntu2) flidas; urgency=high

  * Set ports mirrors and sub-dir for s390x. LP: #1526778 LP: #1526777

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Dec 2015 21:13:38 +0000

choose-mirror (2.65ubuntu1) flidas; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use Trisquel mirrors.
    - Trisquel branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Trisquel.
    - Pick CC.archive.trisquel.info (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      archive.trisquel.info instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.trisquel.info is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.trisquel.info setup by preseeding
      mirror/http/mirror to CC.archive.trisquel.info, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as archive.trisquel.info when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Switch from wily to flidas as the default.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 27 Oct 2015 13:05:59 -0400

choose-mirror (2.65) unstable; urgency=medium

  * Update Mirrors.masterlist

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Jul 2015 10:40:25 +0200

choose-mirror (2.64) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Jun 2015 11:28:20 +0200
