## choose-mirror 2.69ubuntu1

=== debian/changelog ===
choose-mirror (2.69ubuntu1) yakkety; urgency=medium

  * Resynchronise with Debian. Remaining changes: (LP: #1582219)
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    * Add support for CC.ports.ubuntu.com; using the same logic as
      CC.archive.ubuntu.com for general country mirrors.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Aug 2016 15:17:38 -0400

choose-mirror (2.69) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Sun, 26 Jun 2016 15:40:39 +0200

choose-mirror (2.68) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Mon, 16 May 2016 03:59:07 +0200

choose-mirror (2.67) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2016 18:31:05 +0100

choose-mirror (2.66) unstable; urgency=medium

  * Replace http:// with https:// in MIRRORLISTURL.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 16 Dec 2015 00:34:02 +0100

choose-mirror (2.65ubuntu7) yakkety; urgency=medium

  * Switch from xenial to yakkety as the default.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 22 Apr 2016 05:59:23 -0600

choose-mirror (2.65ubuntu6) xenial; urgency=medium

  * Add s390x to CC.ports.ubuntu.com.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Apr 2016 20:22:43 +0100

choose-mirror (2.65ubuntu5) xenial; urgency=medium

  * Add support for CC.ports.ubuntu.com; using the same logic as
    CC.archive.ubuntu.com for general country mirrors.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 11 Feb 2016 09:54:30 -0500

choose-mirror (2.65ubuntu4) xenial; urgency=medium

  * Add us.ports.ubuntu.com mirror.
  * Add s390x to [us.]ports.ubuntu.com mirrors.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2016 20:11:05 +0000

choose-mirror (2.65ubuntu3) xenial; urgency=high

  * Really set default to ubuntu-ports, and set i386/amd64 overrides to
    "default" archive.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Feb 2016 18:00:37 +0000

choose-mirror (2.65ubuntu2) xenial; urgency=high

  * Set ports mirrors and sub-dir for s390x. LP: #1526778 LP: #1526777

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Dec 2015 21:13:38 +0000

choose-mirror (2.65ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
    - Only default mirror/country to the value of debian-installer/country
      if the latter has any mirrors; otherwise, fall through to defaulting
      to GB.
    - Exclude all-countries mirrors such as ports.ubuntu.com when
      determining whether there is a mirror in the country specified in
      debian-installer/country.
    - If the selected country has no mirror (excluding all-countries
      mirrors), then fall back to the default.
  * Switch from wily to xenial as the default.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 27 Oct 2015 13:05:59 -0400
