## choose-mirror 2.74

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 STRIP=strip
 
 # Derivative distributions may want to change these.
-#MIRRORLISTURL=http://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
-MASTERLIST=Mirrors.masterlist.trisquel
+MIRRORLISTURL=https://anonscm.debian.org/viewvc/webwml/webwml/english/mirror/Mirrors.masterlist?revision=HEAD
+MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
