=== debian/changelog ===
choose-mirror (2.74) unstable; urgency=medium

  * Update Mirrors.masterlist

 -- Cyril Brulebois <kibi@debian.org>  Thu, 26 Jan 2017 13:59:18 +0100

choose-mirror (2.73) unstable; urgency=medium

  * Update Mirrors.masterlist
  * Fix perl deprecation warnings by adding a backslash before each
    problematic character in mirrorlist script:
     - Unescaped left brace in regex is deprecated

 -- Cyril Brulebois <kibi@debian.org>  Wed, 19 Oct 2016 02:31:32 +0200

choose-mirror (2.72) unstable; urgency=medium

  * Fix FTBFS with -A builds (arch:all only), by only running the
    templates check when the relevant choose-mirror-bin directory
    exists.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Aug 2016 07:50:12 +0200

choose-mirror (2.71) unstable; urgency=critical

  * Check during the build that choose-mirror-bin's templates file isn't
    obviously broken, to avoid new occurrences of bad breakages like the
    issue fixed below.
  * Revert 0c8d7d077692349350a4798a4a52c6f399ce973c (part of the 2.70
    upload), which resulted in empty templates and in choose-mirror
    segfaults (Closes: #834383). Further changes related to po2debconf
    and intltool-merge will be tracked in a separate bug report.
  * Set urgency to critical accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Aug 2016 05:52:19 +0200

choose-mirror (2.70) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jul 2016 21:16:44 +0200
